/*
 * Name: altai_toggle
 * Title: Altai Toggle
 * Version: v1.0.4
 * Description: Slide or Fade toggle elements.
 *
 */
(function($, window, document) {
  return $.fn.extend({
    altaiToggle: function(options) {
      var action, close, log, object, settings, status;
      object = $(this);
      settings = {
        easing: "linear",
        effect: "slide",
        hide: true,
        klass: ".trigger",
        speed: "fast",
        close: true,
        debug: false
      };
      settings = $.extend(settings, options);
      log = function(message) {
        if (settings.debug) {
          return typeof (console === "undefined" && console === null) ? console.log(message) : void 0;
        }
      };
      status = function() {
        if (settings.hide === true) {
          object.hide(0);
        }
        if (settings.hide === false) {
          return object.show(0);
        }
      };
      action = function() {
        return $(settings.klass).each(function() {
          return $(this).unbind().on("click", function(event) {
            event.stopPropagation();
            if (settings.effect === "slide") {
              object.slideToggle(settings.speed, settings.easing);
              log("Slide Toggle Activated");
            }
            if (settings.effect === "fade") {
              object.fadeToggle(settings.speed, settings.easing);
              return log("Fade Toggle Activated");
            }
          });
        });
      };
      close = function() {
        var width;
        width = $(window).width();
        return $(window).resize(function(event) {
          event.preventDefault();
          var set, calculate;
          set = settings.close === true;
          calculate = $(window).width() !== width;
          if (set && calculate) {
            return object.hide(0);
          }
        });
      };
      if (object.length > 0) {
        return this.each(function(event) {
          event.stopPropagation();
          status();
          action();
          return close();
        });
      }
    }
  });
})(jQuery, window, document);
